> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Split and Settlement Details by OrderID

> Use this API to get all the split details, settled and unsettled transactions details of each vendor who were part of a particular order by providing order Id or start date and end date.



## OpenAPI

````yaml /openapi/payments/v2023-08-01.yaml get /easy-split/orders/{order_id}
openapi: 3.0.0
info:
  version: '2023-08-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server
  - url: https://api.cashfree.com/pg
    description: Production server
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order
  - name: Offers
    description: Collection of APIs to handle offers
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /easy-split/orders/{order_id}:
    get:
      tags:
        - Easy-Split
      summary: Get Split and Settlement Details by OrderID
      description: >-
        Use this API to get all the split details, settled and unsettled
        transactions details of each vendor who were part of a particular order
        by providing order Id or start date and end date.
      operationId: PGSplitOrderRecon
      parameters:
        - $ref: '#/components/parameters/apiVersionHeader'
        - $ref: '#/components/parameters/orderIDParam'
        - $ref: '#/components/parameters/xRequestIDHeader'
        - $ref: '#/components/parameters/xIdempotencyKeyHeader'
      responses:
        '200':
          $ref: '#/components/responses/SplitOrderReconSuccessResponse'
        '404':
          $ref: '#/components/responses/Response404SplitOrderRecon'
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD
      schema:
        type: string
        description: API version to be used
        default: '2023-08-01'
      example: '2023-08-01'
    orderIDParam:
      name: order_id
      in: path
      required: true
      description: The id which uniquely identifies your order
      schema:
        type: string
      example: your-order-id
    xRequestIDHeader:
      in: header
      name: x-request-id
      description: >-
        Request id for the API call. Can be used to resolve tech issues.
        Communicate this in your tech related queries to cashfree
      required: false
      schema:
        type: string
      example: 4dfb9780-46fe-11ee-be56-0242ac120002
    xIdempotencyKeyHeader:
      in: header
      name: x-idempotency-key
      required: false
      description: >
        An idempotency key is a unique identifier you include with your API
        call.

        If the request fails or times out, you can safely retry it using the
        same key to avoid duplicate actions.
      schema:
        type: string
        format: UUID
      example: 47bf8872-46fe-11ee-be56-0242ac120002
  responses:
    SplitOrderReconSuccessResponse:
      description: Get Split and Settlement Details by OrderID
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SplitOrderReconSuccessResponse'
          examples:
            PG:
              value:
                settlement:
                  entity: settlement
                  cf_settlement_id: 4301319325
                  cf_payment_id: 5114912996630
                  order_id: order_1527072nQIWwJ96IRVKmGnysmYtqekXLv
                  order_currency: INR
                  transfer_id: null
                  order_amount: 3000
                  service_charge: 57
                  service_tax: 10.26
                  settlement_amount: 2100
                  settlement_currency: INR
                  transfer_utr: null
                  transfer_time: null
                  payment_time: '2024-10-14T15:12:08+05:30'
                refunds: []
                vendors:
                  - vendor_id: test02
                    settlement_id: 87168
                    settlement_amount: 600
                    settlement_eligibility_date: '2024-10-14 15:27:08'
                  - vendor_id: test03
                    settlement_id: 87167
                    settlement_amount: 300
                    settlement_eligibility_date: '2024-10-14 15:27:08'
    Response404SplitOrderRecon:
      description: Split Order Recon Failure Response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
          examples:
            Order not present:
              value:
                message: Order Reference Id does not exist
                code: order_not_found
                type: invalid_request_error
  schemas:
    SplitOrderReconSuccessResponse:
      title: SplitOrderReconSuccessResponse
      description: Split Order Reconciliation Request Body
      type: object
      properties:
        settlement:
          type: object
          description: Details of the settlement information.
          properties:
            entity:
              type: string
              description: 'Type of entity. Example: "settlement".'
            cf_settlement_id:
              type: integer
              format: int64
              description: Unique Cashfree settlement ID.
            cf_payment_id:
              type: integer
              format: int64
              description: Unique Cashfree payment ID associated with the order.
            order_id:
              type: string
              description: Unique identifier for the order.
            order_currency:
              type: string
              description: 'Currency of the order. Example: "INR".'
            transfer_id:
              type: string
              nullable: true
              description: Unique transfer ID if available, otherwise null.
            order_amount:
              type: number
              format: float64
              description: Total amount of the order.
            service_charge:
              type: number
              format: float64
              description: Service charge for the order.
            service_tax:
              type: number
              format: float64
              description: Service tax for the order.
            settlement_amount:
              type: number
              format: float64
              description: Amount to be settled after charges and tax.
            settlement_currency:
              type: string
              description: 'Currency of the settlement. Example: "INR".'
            transfer_utr:
              type: string
              nullable: true
              description: >-
                UTR (Unique Transaction Reference) for the transfer if
                available, otherwise null.
            transfer_time:
              type: string
              format: date-time
              nullable: true
              description: Time of transfer if available, otherwise null.
            payment_time:
              type: string
              format: date-time
              description: Timestamp when payment was made.
        refunds:
          type: array
          items:
            type: object
          description: List of refunds associated with the order, if any.
        vendors:
          type: array
          description: List of vendor settlements associated with the split settlement.
          items:
            type: object
            properties:
              vendor_id:
                type: string
                description: Unique identifier for the vendor.
              settlement_id:
                type: integer
                format: int64
                description: Settlement ID associated with the vendor.
              settlement_amount:
                type: number
                format: float64
                description: Settlement amount allocated to the vendor.
              settlement_eligibility_date:
                type: string
                format: date-time
                description: Date and time when the vendor is eligible for the settlement.
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client
      example:
        message: bad URL, please check API documentation
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant id if you don't have
        the merchant client app id

````